Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing.tm
Class SimpleJtaTransactionImpl

    java.lang.Object
      org.hibernate.testing.tm.SimpleJtaTransactionImpl

All Implemented Interfaces:
  Transaction

    public class SimpleJtaTransactionImpl

extends Object
implements Transaction

SimpleJtaTransactionImpl implementation

Author:
  Steve Ebersole

Constructor Summary
`SimpleJtaTransactionImpl(SimpleJtaTransactionManagerImpl jtaTransactionManager)`

Method Summary
`void` | `commit()`
`boolean` | `delistResource(XAResource xaResource, int i)`
`void` | `enlistConnection(Connection connection)`
`boolean` | `enlistResource(XAResource xaResource)`
`Connection` | `getEnlistedConnection()`
`int` | `getStatus()`
`void` | `registerSynchronization(Synchronization synchronization)`
`void` | `rollback()`
`void` | `setRollbackOnly()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleJtaTransactionImpl

    public SimpleJtaTransactionImpl(SimpleJtaTransactionManagerImpl jtaTransactionManager)

Method Detail

### getStatus

    public int getStatus()

  Specified by:
    `getStatus` in interface `Transaction`

### commit

    public void commit()
                throws RollbackException,
                       HeuristicMixedException,
                       HeuristicRollbackException,
                       IllegalStateException,
                       SystemException

  Specified by:
    `commit` in interface `Transaction`
  Throws:
    `RollbackException`
    `HeuristicMixedException`
    `HeuristicRollbackException`
    `IllegalStateException`
    `SystemException`

### rollback

    public void rollback()
                  throws IllegalStateException,
                         SystemException

  Specified by:
    `rollback` in interface `Transaction`
  Throws:
    `IllegalStateException`
    `SystemException`

### setRollbackOnly

    public void setRollbackOnly()
                         throws IllegalStateException,
                                SystemException

  Specified by:
    `setRollbackOnly` in interface `Transaction`
  Throws:
    `IllegalStateException`
    `SystemException`

### registerSynchronization

    public void registerSynchronization(Synchronization synchronization)
                                 throws RollbackException,
                                        IllegalStateException,
                                        SystemException

  Specified by:
    `registerSynchronization` in interface `Transaction`
  Throws:
    `RollbackException`
    `IllegalStateException`
    `SystemException`

### enlistConnection

    public void enlistConnection(Connection connection)

### getEnlistedConnection

    public Connection getEnlistedConnection()

### enlistResource

    public boolean enlistResource(XAResource xaResource)
                           throws RollbackException,
                                  IllegalStateException,
                                  SystemException

  Specified by:
    `enlistResource` in interface `Transaction`
  Throws:
    `RollbackException`
    `IllegalStateException`
    `SystemException`

### delistResource

    public boolean delistResource(XAResource xaResource,
                                  int i)
                           throws IllegalStateException,
                                  SystemException

  Specified by:
    `delistResource` in interface `Transaction`
  Throws:
    `IllegalStateException`
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.